const CONSTANTS = require('@src/utils/constants');
const handler = require('./handler');

module.exports = {
    createCommand: (commander) => {
        commander
            .command('create-hosted-skill')
            .description('create a new alexa hosted skill')
            .option('--runtime <runtime>', 'alexa hosted skill lambda runtime')
            .option('-n, --skill-name <name>', 'create new alexa skill project with skill name')
            .option('--auto-clone <auto-clone>', 'clone the new hosted skill to local workspace')
            .option('--no-browser', 'display captcha validation url instead of opening browser for first-time hosted skill creators')
            .option('-p, --profile <profile>', 'ask cli profile')
            .option('--debug', 'ask cli debug mode')
            .option('-h, --help', 'output usage information', () => {
                console.log(CONSTANTS.COMMAND.CREATE_HOSTED_SKILL.HELP_DESCRIPTION);
                process.exit(0);
            })
            .action(handler.handleOptions);
    },
};
